Chromium Code Reviews
Help | Chromium Project | Sign in
(261)

Issue 11367041: Adds View::GetNativeTheme() to get the NativeTheme. The interesting (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 6 months ago by sky
Modified:
2 years, 6 months ago
CC:
chromium-reviews, tfarina, ben+watch_chromium.org
Visibility:
Public.

Description

Adds View::GetNativeTheme() to get the NativeTheme. The interesting bit is in DesktopRootWindowHostWin that decides when to use the native or aura versions. BUG=none TEST=none R=ben@chromium.org Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=165585

Patch Set 1 #

Patch Set 2 : Fix include #

Unified diffs Side-by-side diffs Delta from patch set Stats (+80 lines, -6 lines) Patch
M ui/base/native_theme/native_theme_aura.h View 1 chunk +1 line, -1 line 0 comments Download
M ui/base/native_theme/native_theme_aura.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M ui/base/native_theme/native_theme_base.h View 1 chunk +1 line, -1 line 0 comments Download
M ui/ui.gyp View 1 chunk +0 lines, -2 lines 0 comments Download
M ui/views/view.h View 2 chunks +6 lines, -0 lines 0 comments Download
M ui/views/view.cc View 1 chunk +5 lines, -0 lines 0 comments Download
M ui/views/widget/desktop_native_widget_aura.h View 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/widget/desktop_native_widget_aura.cc View 2 chunks +5 lines, -0 lines 0 comments Download
M ui/views/widget/desktop_root_window_host.h View 2 chunks +7 lines, -0 lines 0 comments Download
M ui/views/widget/desktop_root_window_host_linux.cc View 1 2 chunks +6 lines, -0 lines 0 comments Download
M ui/views/widget/desktop_root_window_host_win.cc View 3 chunks +18 lines, -2 lines 0 comments Download
M ui/views/widget/native_widget_aura.h View 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/widget/native_widget_aura.cc View 3 chunks +12 lines, -0 lines 0 comments Download
M ui/views/widget/native_widget_private.h View 2 chunks +2 lines, -0 lines 0 comments Download
M ui/views/widget/native_widget_win.h View 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/widget/native_widget_win.cc View 2 chunks +5 lines, -0 lines 0 comments Download
M ui/views/widget/widget.h View 2 chunks +3 lines, -0 lines 0 comments Download
M ui/views/widget/widget.cc View 1 chunk +4 lines, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 7 (0 generated)
sky
2 years, 6 months ago (2012-11-01 21:08:43 UTC) #1
Ben Goodger (Google)
lgtm
2 years, 6 months ago (2012-11-01 21:16:45 UTC) #2
I haz the power - commit-bot
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/sky@chromium.org/11367041/2001
2 years, 6 months ago (2012-11-01 23:18:25 UTC) #3
I haz the power - commit-bot
Change committed as 165585
2 years, 6 months ago (2012-11-02 01:19:03 UTC) #4
kinuko
Fyi, it's suspected that this change might have caused DCHECK crashes in native_theme_win.cc in FocusTraversalTest.NormalTraversal ...
2 years, 6 months ago (2012-11-02 08:01:44 UTC) #5
phoglund
On 2012/11/02 08:01:44, kinuko wrote: > Fyi, it's suspected that this change might have caused ...
2 years, 6 months ago (2012-11-02 11:44:43 UTC) #6
phoglund
2 years, 6 months ago (2012-11-02 12:08:30 UTC) #7
Hm, for some reason the revert didn't work on the try servers (and it's big
enough for me to not dare commit it right away), so I'll leave it be since it's
not a closer bot. sky@, please fix as soon as possible.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be